[The title of your application]
$TITLE=Z80 Assembler & Remote Monitor

[Default target directory]
$TARGET=C:\Z80ASS

[Disk space needed for the installation - in bytes]
$SPACE=388852

[Any temporary extra disk space needed while installing - in bytes]
$SWAP-SPACE=0

[Files to be copied; "$disk 1 =" to "$disk 45 ="; you can use wildcards]
[file specs should be separated with a semi-colon]
$DISK1=*.DLL;*.TXT;Z80WIN.EXE;*.HLP;*.INI;*.DAT;*.TXT;*.INC
$DISK1=*.PRJ;*.ZPJ;*.ASS;*.EQU;*.INC;REMONIT.EXE

[uncomment this line to turn on disk verification]
;$VERIFY-INSTALL-DISKS

[Files to be installed to subdirectories under DEST directory tree]
[Max=45 lines; 14 file names on each line, separated with semi-colon; no wildcards]
;$DEST\BIN=INSTALL.EXE;WINSTALL.INF;CHIEF.HLP;CTL3D.DLL;CHIEF.WRI;WINSTALP.DLL;UNINSTAL.EXE;blank.ico
;$DEST\SAMPLES=WINSTALL.HLP;SAMPLE1.INF;SAMPLE2.INF;SAMPLE3.INF;SAMPLE4.INF;TEMPLATE.INF
;$DEST\OPTION=SETUP.EXE;DANSK.DLL;ENGLISH.DLL;DEUTSCH.DLL;WINSTALL.RC

[Files to be installed to Windows directory]
[Max=1 line; 14 file names on each line, separated with semi-colon; no wildcards]
$WINDIR=

[Files to be installed to Windows SYSTEM directory]
[Max=1 line; 14 file names on each line, separated with semi-colon; no wildcards]
$SYSDIR=CTL3DV2.DLL

[Files to be installed to TEMP directory]
[Max=1 line; 14 file names on each line, separated with semi-colon; no wildcards]
$TEMPDIR=

[Files to be replaced without warning if older versions already exist]
[Max=20 lines; 14 file names on each line, separated with semi-colon; no wildcards]
$AUTO-REPLACE=CTL3DV2.DLL

[Entries in INI files = Filename;Section;Keyname;String]
[Max=20 lines; Details as 4 sections on each line, separated with semi-colon]
;$INI=$DEST\INSTALL.INI;Test;Chief;a Great African Chief and a Great Welshman
;$INI=$DEST\INSTALL.INI;Test;African-Chief;a Great Warrior and Hunter
;$INI=$DEST\INSTALL.INI;Test;Great-Chief;The Great Elephant
;$INI=$DEST\INSTALL.INI;Test;Isn't;this all very funny?

[Default Program Manager group name]
$GROUP=Z80 Assembler

[program(s) to create Program Manager icons for; MAX=45 icons in all]
[format= CommandLine;Icon Title;Group Name]
[Group Name is optional - if none, the one in $GROUP will be used]
$ICON=$DEST\Z80WIN.EXE;Z80 Assembler
$ICON=$DEST\REMONIT.EXE;Z80 Monitor
$ICON=$WINDIR\WINHELP.EXE $DEST\Z80ASS.HLP;Ass Help
$ICON=$WINDIR\WINHELP.EXE $DEST\REMONIT.HLP;Monitor Help
$ICON=$WINDIR\NOTEPAD.EXE $DEST\README.TXT;Readme File


[********************************************************]
[*** NOTE: EVERYTHING FROM HERE IS TOTALLY OPTIONAL *****]
[********************************************************]


[Program(s) to execute as part of the installation; separated with a semi-colon]
[install will *try* to wait for them to terminate before continuing]
$PRE-EXEC=

[Files to delete after completing installation]
[up to 20 files, each on a separate line]
[here, we're cleaning up our INSTALL files from the TEMP directory]
;$CLEANUP=$TEMPDIR\INSTALL.EXE


[Program(s) to execute after completing installation; separated with a semi-colon]
$EXEC=

[uncomment this line for a maximized main window - and no "banner"!]
;$WINDOW=MAXIMIZE

[uncomment this to use a 16kb buffer for copying the files]
;$COPYBUFFER=16384

[comment this to use a WHITE background color for the dialog window]
[valid values are 0 to 4]
$WINDOW-BACKGROUND=1

[comment this to use a WHITE background for the dialog text]
[3 RGB values, or 1 long integer value
$TEXT-BACKGROUND=192,192,192

[comment this to NOT paint the background of the "percent" dialog]
$PAINTDIALOGS

[uncomment this line to automatically set the check box for PROGMAN group]
$SETCHECKBOX

[comment this line to enable the final "installation completed" dialog]
$NO-END-DIALOG

[uncomment this line to disable the dialog that offers to add the target]
[directory to the PATH statement in AUTOEXEC.BAT]
$NO-PATH-DIALOG

[comment this line to disable the small "percent" meter for individual files]
$SHOW-FILE-PERCENT

[comment this line to disable logging for the UNINSTALLER in UNINSTAL.LOG]
;$MAKE-UNINSTALL-LOG

[uncomment these lines for user selectable install options]
[max= 10 options; format = title;disk space needed (in bytes)]
[the figures are added to the $SPACE line above]
;$USER-OPTION1=Program Files;269000
;$USER-OPTION2=Documentation;173000
;$USER-OPTION3=Chief's Sample Files;19000
;$USER-OPTION4=Optional Files;44000


[these lines are the files that make up each user selectable option]
[each option can use up to 10 lines to list its files, and each line
[can list up to 30 files; max = 200 characters per line]
;$OPTIONAL1=INSTALL.EXE;UNINSTAL.EXE;CTL3D.DLL
;$OPTIONAL1=WINSTALL.INF;blank.ico;WINSTALP.DLL;REGISTER.TXT;ORDER.FRM

;$OPTIONAL2=CHIEF.WRI;CHIEF.HLP;README.TXT;HISTORY.TXT
;$OPTIONAL3=WINSTALL.HLP;SAMPLE1.INF;SAMPLE2.INF;SAMPLE3.INF;SAMPLE4.INF;TEMPLATE.INF
;$OPTIONAL4=SETUP.EXE;ENGLISH.dll;dansk.dll;deutsch.dll;winstall.rc

[these lines are for the "BANNER" window]
[the font to use; I am using True Type Times New Roman]
$BANNER-FONT=TIMES NEW ROMAN

[make sure this is small enough for those using 640x480 displays]
$BANNER-FONT-SIZE=35

[message must be short enough to fit on the screen]
$BANNER-MESSAGE=PIC Programmer

$BANNER-TEXT-COLOR=$00FFFF00
$BANNER-TEXT-BACKGROUND=20,0,0
$BANNER-WINDOW-BRUSH=255,0,0

[I am not using any bitmap! so I use a non-existent file name]
$BITMAP=nobitmap


[************************************************************]
[ *** these lines are for version checks on shared files ****]
[************************************************************]

[uncomment this line to enable version checking on non-shared DLLs]
;$CHECK-MY-DLL-VERSIONS

[this line stipulates the headings of the file version numbers]
$VERSION-INFO-TITLE=File Version

[your explanation or recommendation when a copy of a shared file]
[already exists]
$VERSION-INFO-MESSAGE=You SHOULD click on "NO" if the target file \n is NEWER than the source file.

[your message when we can't successfully install a shared file]
$VERSION-COPY-ERROR-MESSAGE=Please copy it later (after closing Windows) \n.A temporary copy of the file exists as

[uncomment this line to force older files to be overwritten without warning]
$FORCE-OVERWRITE-OLDER-FILES

[uncomment and put any final message to be displayed to the user]
$FINAL-MESSAGE=Z80 Assembler and Monitor Installed!

[uncomment and use this line to send a mouse click to any of]
[the three push buttons; 1=Start Install; 2=Abort; 3=Help]
;$AUTO-CLICK-BUTTON=3

[uncomment this line to disable CTL3D.DLL]
;$NO-CTL3D.DLL
